<?php

/**------------------------------------------------
*
* Rooty, 2018 <rooty@rooty.me>
*
*
* This software is protected by copyright, please
* read the file COPYRIGHT.
* This program is distributed in the hope that it
* will be useful, but without any warranty; without
* even the implied warranty of merchantability or
* fitness for a particular purpose. Please
* read the file LICENCE.
*
* Fichier config_Mxconf.php
*
*Ce fichier contient les définitions de constantes communes pour le systéme de template
*
* @author Rooty <www.rooty.me|rooty@rooty.me>
* @link www.rooty.me
* @since 2018/04/02
* @version 0.3
* @package commun
* @subpackage config
* @copyright Copyright &copy; 2009-2018, Rooty
* @docreview Tristan <tristan@initiance.com> | 30-10-2005
*/

//Configuration générale de ModeliXe
/**
* Précise le mode d'écriture des templates par défaut (xml ou pear).
*/
define('MX_FLAGS_TYPE', 'xml');

/**
* Précise le type de balisage en sortie.
*/
define('MX_OUTPUT_TYPE', 'xhtml');

/**
* Précise le répertoire de template par défaut.
*/
define('MX_TEMPLATE_PATH', '.');

/**
* Précise un fichier de paramètres par défaut.
*/
define('MX_DEFAULT_PARAMETER', '');

/**
* Précise le répertoire du cache.
*/
define('MX_CACHE_PATH', 'data/template/cache');

/**
* Définit le délai de renouvellement du cache en seconde(s).
*/
define('MX_CACHE_DELAY', 0);

/**
* Laisse la signature de ModeliXe dans la page HTML générée (on ou off).
*/
define('MX_SIGNATURE', 'off');

/**
* Met en oeuvre la compression des pages si le navigateur le supporte (on ou off).
*/
define('MX_COMPRESS', 'on');

/**
* Utilise le mod_rewrite pour créer les urls (on ou  off).
*/
define('MX_REWRITEURL', 'on');

/**
* Précise si on désire mettre en oeuvre le chronométrage des performances (on ou off).
*/
define('MX_PERFORMANCE_TRACER', 'off');


//Configuration de la gestion des erreurs
/**
* Les erreurs sont remontées pour on, ignorées pour off.
*/
define('ERROR_MANAGER_SYSTEM', 'on');

/**
* Précise le niveau d'erreur toléré, plus il est bas, moins les erreurs sont tolérées.
*/
define('ERROR_MANAGER_LEVEL', '3');

/**
* Permet de spécifier une url locale de remplacement en cas de remontée(s) d'erreur(s).
*/
define('ERROR_MANAGER_ESCAPE', '');

/**
* Permet de définir un fichier de logs.
*/
define('ERROR_MANAGER_LOG', 'log/template.log');

/**
* Permet de définir une série d'adresses courriel auxquelles seront envoyé un mail d'alerte.
*/
define('ERROR_MANAGER_ALARME', 'acomendatore@gmail.com');
?>
